<?php
/**
 * sample code for GiroConnect integration of a response page
 *
 * @filesource
 * @package Samples
 * @version $Revision: 80 $ / $Date: 2014-10-21 18:49:14 +0200 (Di, 21 Okt 2014) $
 */
require_once '../GiroCheckout_SDK/GiroCheckout_SDK.php';


//set the secret for hash validation of the received data
$projectPassword = "*PeiPalPaßworrT*9538";

//init notification and pass transaction type, set password and parse the received data
try {
	$notify = new GiroCheckout_SDK_Notify('paypalTransaction');
	$notify->setSecret($projectPassword);
	
	//the array containing the parameters
	$notify->parseNotification($_GET);
	
	//show the result of the transaction to the customer
	if($notify->paymentSuccessful()) {
	    echo $notify->getResponseParam('gcReference');
	    echo $notify->getResponseParam('gcMerchantTxId');
	    echo $notify->getResponseParam('gcBackendTxId');
	    echo $notify->getResponseParam('gcAmount');
	    echo $notify->getResponseParam('gcCurrency');
	    echo $notify->getResponseParam('gcResultPayment');
	}
	
	if($notify->avsSuccessful())
	{
	    echo $notify->getResponseParam('gcResultAVS');
	}
}
catch (Exception $e) {
	echo $e->getMessage();
}